org.apache.ignite.internal.managers.discovery

## Interface IgniteClusterNode

All Superinterfaces:
  BaselineNode, ClusterNode

All Known Implementing Classes:
  IsolatedNode, TcpDiscoveryNode

    public interface IgniteClusterNode
    extends ClusterNode

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<Integer,CacheMetrics>` `cacheMetrics()` Gets collections of cache metrics for this node.
`void` `setCacheMetrics(Map<Integer,CacheMetrics> cacheMetrics)` Sets node cache metrics.
`void` `setConsistentId(Serializable consistentId)` Sets consistent globally unique node ID which survives node restarts.
`void` `setMetrics(ClusterMetrics metrics)` Sets node metrics.

### Methods inherited from interface org.apache.ignite.cluster.ClusterNode

`addresses, attribute, attributes, consistentId, hostNames, id, isClient, isDaemon, isLocal, metrics, order, version`

### Method Detail

#### setConsistentId

    void setConsistentId(Serializable consistentId)

Sets consistent globally unique node ID which survives node restarts.

Parameters:
  `consistentId` - Consistent globally unique node ID.

#### setMetrics

    void setMetrics(ClusterMetrics metrics)

Sets node metrics.

Parameters:
  `metrics` - Node metrics.

#### cacheMetrics

    Map<Integer,CacheMetrics> cacheMetrics()

Gets collections of cache metrics for this node. Note that node cache metrics are constantly updated and provide up to date information about caches.

Cache metrics are updated with some delay which is directly related to metrics update frequency. For example, by default the update will happen every `2` seconds.

Returns:
  Runtime metrics snapshots for this node.

#### setCacheMetrics

    void setCacheMetrics(Map<Integer,CacheMetrics> cacheMetrics)

Sets node cache metrics.

Parameters:
  `cacheMetrics` - Cache metrics.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022